#
# spec file for package libmateweather
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover   1
%define _version 1.16
Name:           libmateweather
Version:        1.16.1
Release:        2.3
Summary:        MATE Weather
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/Other
Url:            https://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
BuildRequires:  timezone >= 2016g
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pygobject-2.0)
BuildRequires:  pkgconfig(pygtk-2.0)
%glib2_gsettings_schema_requires

%description
libmateweather is a library to access weather information from
online services for numerous locations.

%lang_package

%package -n mateweather-common
Summary:        MATE Weather common files
Group:          System/GUI/Other
BuildArch:      noarch

%description -n mateweather-common
libmateweather is a library to access weather information from
online services for numerous locations.

%package devel
Summary:        MATE Weather development files
Group:          Development/Libraries/Other
Requires:       %{name}%{sover} = %{version}
Requires:       mateweather-common
Requires:       python-mateweather = %{version}

%description devel
libmateweather is a library to access weather information from
online services for numerous locations.

%package -n %{name}%{sover}
Summary:        MATE Weather shared libraries
Group:          System/Libraries
Requires:       mateweather-common
Recommends:     %{name}-lang
Provides:       %{name} = %{version}

%description -n %{name}%{sover}
libmateweather is a library to access weather information from
online services for numerous locations.

%package -n python-mateweather
Summary:        Python bindings for MATE Weater
Group:          System/GUI/Other

%description -n python-mateweather
libmateweather is a library to access weather information from
online services for numerous locations.

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --enable-locations-compression \
  --disable-static               \
  --with-gtk=2.0                 \
  --enable-python
make %{?_smp_mflags} V=1

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n mateweather-common
%icon_theme_cache_post mate
%glib2_gsettings_schema_post

%postun -n mateweather-common
%icon_theme_cache_postun mate
%glib2_gsettings_schema_postun

%post -n %{name}%{sover} -p /sbin/ldconfig

%postun -n %{name}%{sover} -p /sbin/ldconfig

%files lang -f %{name}.lang
%defattr(-,root,root)

%files -n %{name}%{sover}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.%{sover}*

%files -n mateweather-common
%defattr(-,root,root)
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/mate/
%{_datadir}/%{name}/

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/mateweather.pc
%{_datadir}/gtk-doc/html/%{name}/

%files -n python-mateweather
%defattr(-,root,root)
%{python_sitearch}/mateweather/

%changelog
* Thu Oct 27 2016 sor.alexei@meowr.ru
- Update to version 1.16.1:
  * Locations: Rename Rangoon timezone to Yangon, following the
    tzdata 2016g+ change. Due to this, tzdata 2016g or newer is now
    required for the build.
  * Locations: Fix a couple of issues in Russian translation.
  * Update translations.
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Locations: Update ICAO code for Quito, Ecuador.
  * Locations: Correct coordinates for Minsk airport (code UMMS).
  * Update translations.
* Tue Sep  6 2016 sor.alexei@meowr.ru
- Update to version 1.14.3:
  * IWIN: Use the new server address to fix forecast.
* Mon Aug 29 2016 sor.alexei@meowr.ru
- Update to version 1.14.2:
  * METAR: Switch to https and use recommended method of data
    retrieval (as per
    https://aviationweather.gov/dataserver/bestpractices).
* Wed Aug 24 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * METAR: Switch to aviationweather.gov as weather.noaa.gov
    is discontinued.
  * Locations: Correct Russian translation and tz-hint for Shymkent.
  * Make distcheck use currently selected GTK+ version.
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Small fix in schema.
  * Update translations.
  * Add Changelog generation.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * Drop obsolete build flags.
* Sun Nov 29 2015 sor.alexei@meowr.ru
- Update to 1.12.1:
  * Update translations.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0:
  * Retrieve strings directly from gschema (requires intltool
    0.50.1).
* Fri Oct  9 2015 sor.alexei@meowr.ru
- Update to 1.11:
  * Location updates for timezones.
  * Bugfixes and improvements.
* Wed Apr 15 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * Bugfixes
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 1.9.90 (unstable)
  * Bugfixes
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  + No changelog available
* Sun Jul 13 2014 p.drouand@gmail.com
- Update to version 1.9.0 (unstable)
  + No changelog available
- Remove gtk-doc requirement; mate-common requires it, there is no
  need to require it again
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Wed Feb 19 2014 p.drouand@gmail.com
- Update to version 1.7.90 (unstable)
  + drop libsoup-gnome dependency
  + add GTK3 support
- Remove pkgconfig(libsoup-2.4) requirement; follow upstream changes
- Remove useless pkgconfig(python) requirement as other required
  python packages require it
* Mon Feb 10 2014 p.drouand@gmail.com
- Update to version 1.7.1 (unstable)
  + fix automagic python support
  + update translations
- Remove useless xz require
- Remove depreciated %%py_requires tag
* Thu Jan 16 2014 p.drouand@gmail.com
- Update to version 1.7.0 (unstable)
  + fixes for make dist and make distcheck
  + write appropriate GTK API version in pkgconfig file
  + add support for multiple GTK versions in configure
  + proper default handling in switch statement
  + add in extra check before dereference
  + update weather.noaa.gov url
* Mon Sep 23 2013 cfarrell@suse.com
- license update: GPL-2.0+ and LGPL-2.1+
  library and standalone components. See also Fedora specfile
* Fri Sep 20 2013 p.drouand@gmail.com
- Readd Recommends: %%{name}-lang in libmateweather1 package
* Fri Sep 20 2013 p.drouand@gmail.com
- Remove Recommends: %%{name}-lang and add Provides: %%{name} = %%{version}
  to automatically install lang package with library
* Fri Sep 20 2013 p.drouand@gmail.com
- the library rely on the glib schema to be present; add
  Requires: mateweather-common in libmateweather1 package that needs
  glib schemas
- Use %%lang_package macro instead of create lang subpackage manually
- Fix library subpackage group to System/Libraries
- libmateweather package doesn't exist; mateweather-common must recommends
  libmateweather-lang
* Sat Aug 10 2013 p.drouand@gmail.com
- Update to version 1.6.2
  + fixes for make dist and make distcheck
  + write appropriate GTK API version in pkgconfig file
  + add support for multiple GTK versions in configure
  + proper default handling in switch statement
  + add in extra check before dereference
  + update weather.noaa.gov url
* Fri Apr 12 2013 johann.luce@wanadoo.fr
- Update to version 1.6.1
  + added "show-notifications" boolean to GSchema and to the MateWeatherPrefs struct.
  + update makefile for automake 1.13
  + add -lm to test_sun_moon_LDADD
* Wed Apr  3 2013 johann.luce@wanadoo.fr
- Update to version 1.6.0
  + Add Recommends:     %%{name}-lang = %%{version}-%%{release}
  + AC_CONFIG_HEADERS to please automake 1.13
  + add missing quote in GSettings schema comment
  + update translations
* Thu Jan 24 2013 nmo.marques@gmail.com
- Update to version 1.5.1
  + fix unit defaults in schema, making them translatable
  + rename configure.in to configure.ac
  + fix deprecations, style and minor itches
- Remove libmateweather-1.5.0-no_return_in_nonvoid_function.patch,
  upstreamed
* Wed Oct 10 2012 nmo.marques@gmail.com
- Update to version 1.5.0
  + no changelog available
- Removed all dependencies of mateconf-2.0 and macros
- Add glib2 macros for schemas
- libmateweather-1.5.0-no_return_in_nonvoid_function.patch: fix no
  return in nonvoid function - merged upstream
* Sat Sep  8 2012 nmo.marques@gmail.com
- copypac to X11:MATE
  + minor cosmetic fixes
* Sat Aug  4 2012 hillwood@linuxfans.org
- update to 1.4.0
* Sun Jun 17 2012 nmo.marques@gmail.com
- Update to 1.3.0
- Migration to mateconf macros and minor cleanups
* Sat Jun 16 2012 nmo.marques@gmail.com
- Update to 1.2.0
* Fri Feb  3 2012 fisiu@opensuse.org
- Build proper -lang package, cleanup with spec-cleaner.
* Fri Dec 30 2011 nmarques@opensuse.org
- Initial package.
